Subject: [PATCH 12/32] ARM: ux500: Remove superfluous 'psize' attribute from Audio platform data

From: [email-masked] (Lee Jones)
Date: Mon, 10 Jun 2013 10:04:11 +0100

On Fri, 03 May 2013, Linus Walleij wrote:

> On Thu, May 2, 2013 at 10:38 AM, Lee Jones <[email-masked]> wrote:
> 
> >> > 'psize' is used to calculate the maximum DMA burst size. However it
> >> > is only taken into consideration when editing the DMA channel's
> >> > configuration. The Audio DMA platform data is only used to allocate
> >> > a channel, not configure it. That will be done at a later date within
> >> > the MSP driver.
> >> >
> >> > We're also removing comments which are no longer required, as
> >> > 'data_width' is no longer set in any device's platform data period.
> >> >
> >> > Signed-off-by: Lee Jones <[email-masked]>
> 
> >> Linus Walleij wrote:
> >> So if I understand correctly this is now handled by dmaengine_pcm.c,
> >> os that right?
> >
> > Unfortunately not. At the moment ux500 sound is very broken in
> > Mainline. I looked at it recently and the driver is almost completely
> > different to the one maintained internally.
> 
> I was more thinking that the dmaengine_pcm.c which appears
> to have its functions called from the ux500 ASoC driver should
> do the calls to slave config to set up proper DMA characteristics
> for the channel.
> 
> Maybe that part is in the MSP driver as you say, is that so?
> 
> > There were DMA changes relating to this driver pending for v3.10,
> > which I believe have just been taking into -next. I will straighten
> > out the DMA issues shortly, but there are other ones remaining still -
> > mostly surrounding widgets. Ideally this is something Ola should fix,
> > as he has the expertise to do so, but he doesn't appear to have been
> > very active upstream of late.
> 
> IIRC there are also patches from Fabio to this stuff so I'm
> a bit confused, but if the intention is to merge this through
> ASoC with some other stuff, by all means:
> Acked-by: Linus Walleij <[email-masked]>

Linus,

Would you mind taking this through your tree now that the DMA stuff
has gone in please?

-- 
Lee Jones
Linaro ST-Ericsson Landing Team Lead
Linaro.org ? Open source software for ARM SoCs
Follow Linaro: Facebook | Twitter | Blog